Package org.eclipse.gef.zest.fx.jface

# Class ZestFxJFaceModule

java.lang.Object
com.google.inject.AbstractModule
org.eclipse.gef.mvc.fx.MvcFxModule
org.eclipse.gef.zest.fx.ZestFxModule
org.eclipse.gef.zest.fx.jface.ZestFxJFaceModule

All Implemented Interfaces:
  `Module`

public class ZestFxJFaceModule extends ZestFxModule
The `ZestFxJFaceModule` contains Eclipse UI specific bindings in the context of an MVC.FX application.

## Constructor Summary

Constructors
Constructor
Description
`ZestFxJFaceModule()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`bindFXCanvasFactory()`
Binds an `IFXCanvasFactory` that creates an `FXCanvasEx` as the container for the `IViewer`.
`protected void`
`configure()`

### Methods inherited from class org.eclipse.gef.zest.fx.ZestFxModule

`bindAbstractContentPartAdapters, bindChangeViewportPolicyAsIRootPartAdapter, bindEdgeLabelPartAdapters, bindEdgePartAdapters, bindFXCircleSegmentHandlePartAdapters, bindFXSquareSegmentHandlePartAdapters, bindGraphPartAdapters, bindHidingHoverHandlePartAdapters, bindHoverHandlePartFactoryAsContentViewerAdapter, bindIContentPartFactory, bindIRootPartAdaptersForContentViewer, bindIViewerAdaptersForContentViewer, bindNavigationModelAsContentViewerAdapter, bindNodeLabelPartAdapters, bindNodePartAdapters, bindRootPartAsContentViewerAdapter, bindSelectionFeedbackPartFactoryAsContentViewerAdapter, bindSelectionHandlePartFactoryAsContentViewerAdapter, bindShowHiddenNeighborsHoverHandlePartAdapters, bindShowHiddenNeighborsOfFirstAnchorageOnClickHandlerAsShowHiddenNeighborsHoverHandlePartAdapter`

### Methods inherited from class org.eclipse.gef.mvc.fx.MvcFxModule

`bindAbstractFeedbackPartAdapters, bindAbstractHandlePartAdapters, bindAbstractVisualPartAdapters, bindClickDragGesture, bindClickDragGestureAsDomainAdapter, bindConnectedSupportAsContentViewerAdapter, bindContentBehaviorAsIRootPartAdapter, bindContentIViewerAsIDomainAdapter, bindContentPartPoolAsContentViewerAdapter, bindContentPolicyAsAbstractContentPartAdapter, bindCreationPolicyAsIRootPartAdapter, bindCursorSupportAsContentViewerAdapter, bindDeletionPolicyAsIRootPartAdapter, bindFocusAndSelectOnClickHandlerAsIRootPartAdapter, bindFocusBehaviorAsIRootPartAdapter, bindFocusFeedbackPartFactoryAsContentViewerAdapter, bindFocusModelAsContentViewerAdapter, bindFocusTraversalPolicyAsIRootPartAdapter, bindGridBehaviorAsIRootPartAdapter, bindGridModelAsContentViewerAdapter, bindHoverBehaviorAsIRootPartAdapter, bindHoverFeedbackPartFactoryAsContentViewerAdapter, bindHoverGesture, bindHoverGestureAsDomainAdapter, bindHoverIntentBehaviorAsIRootPartAdapter, bindHoverModelAsContentViewerAdapter, bindHoverOnHoverHandlerAsAbstractHandlePartAdapter, bindHoverOnHoverHandlerAsIRootPartAdapter, bindIContentPartFactoryAsContentViewerAdapter, bindIDomain, bindIDomainAdapters, bindIHandlerResolver, bindIHandlerResolverAsIDomainAdapter, bindIOperationHistory, bindIRootPart, bindIUndoContext, bindIViewer, bindMarqueeOnDragHandlerAsIRootPartAdapter, bindPanningSupportAsContentViewerAdapter, bindPanOnTypeHandlerAsIRootPartAdapter, bindPanOrZoomOnScrollHandlerAsIRootPartAdapter, bindPinchSpreadGesture, bindPinchSpreadGestureAsIDomainAdapter, bindRevealPrimarySelectionBehaviorAsIRootPartAdapter, bindRotateGesture, bindRotateGestureAsDomainAdapter, bindScrollGesture, bindScrollGestureAsDomainAdapter, bindSelectionBehaviorAsIRootPartAdapter, bindSelectionModelAsContentViewerAdapter, bindSnappingBehaviorAsIRootPartAdapter, bindSnappingFeedbackPartFactoryAsContentViewerAdapter, bindSnappingModelAsContentViewerAdapter, bindSnapToSupportAsContentViewerAdapter, bindTransformProviderAsAbstractContentPartAdapter, bindTypeGesture, bindTypeGestureAsDomainAdapter, bindZoomOnPinchSpreadHandlerAsIRootPartAdapter, enableAdapterMapInjection`

### Methods inherited from class com.google.inject.AbstractModule

`addError, addError, addError, bind, bind, bind, bindConstant, binder, bindInterceptor, bindListener, bindListener, bindScope, configure, convertToTypes, currentStage, getMembersInjector, getMembersInjector, getProvider, getProvider, install, requestInjection, requestInjection, requestStaticInjection, requireBinding, requireBinding`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZestFxJFaceModule

public ZestFxJFaceModule()

## Method Details

### bindFXCanvasFactory

protected void bindFXCanvasFactory()
Binds an `IFXCanvasFactory` that creates an `FXCanvasEx` as the container for the `IViewer`.

### configure

protected void configure()

Overrides:
  `configure` in class `ZestFxModule`